#!/bin/bash
mode="dev"


if [[ $* =~ ^(prod)$ ]]; then 
	mode="prod"
fi

if [ $mode == "dev" ]; then
    echo "[Installing AURA ENGINE for Development]"
fi
if [ $mode == "prod" ]; then
    echo "[Installing AURA ENGINE for Production]"
fi


# Development and Production

echo "Installing OPAM Packages ..."
bash scripts/install-opam-packages.sh

echo "Create local 'logs' Folder ..."
mkdir -p logs


# Development 

if [ $mode == "dev" ]; then

    echo "Copy configuration to './config/engine.ini'"
    cp -n config/sample-development.engine-core.ini config/engine-core.ini

fi


# Production 

if [ $mode == "prod" ]; then

    echo "Copy default Engine configuration to '/etc/aura/engine.ini'"
    cp -n config/sample-production.engine-core.ini /etc/aura/engine-core.ini

fi


echo 
echo "+++ Installation of AURA Engine finished! +++"
echo